Subject: Re: [PATCH] cxl: Add cxl_read_adapter_vpd() to the kernel API

From: Frederic Barrat <[email-masked]>
Date: Thu, 21 Jan 2016 19:48:52 +0100

Le 20/01/2016 03:20, Michael Neuling a écrit :
> The only thing I'm a bit concerned about is are we going to end up
> duplicating a lot of the linux PCI API, but I guess we are only going
> to do this for things the papr HCALL interface mimics.

There are actually very few operations we can do on the adapter with 
hcalls. papr defines 'reset', 'read the VPD' and flashing a new image on 
the card. So we'll soon run out of APIs to mimic.

I guess it means the usage of cxl_get_phys_dev() should be discouraged, 
since it's going to lead to different behaviors between bare-metal and 
powerVM guest. Was there another expected use case for a kernel driver 
other than accessing the VPD?

   Fred